VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType Class Reference

The `Cdrom.DeviceAccessType` enumerated type defines the valid device access types for a physical device packing of a virtual CD-ROM device. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, EMULATION, PASSTHRU, PASSTHRU_EXCLUSIVE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static DeviceAccessType[] | GetValues ()
static DeviceAccessType | ValueOf (string name)
## Static Public Attributes
static readonly DeviceAccessType | EMULATION = new DeviceAccessType("EMULATION", Values.EMULATION)
| ATAPI or SCSI device emulation.
static readonly DeviceAccessType | PASSTHRU = new DeviceAccessType("PASSTHRU", Values.PASSTHRU)
| Raw passthru device access.
static readonly DeviceAccessType | PASSTHRU_EXCLUSIVE = new DeviceAccessType("PASSTHRU_EXCLUSIVE", Values.PASSTHRU_EXCLUSIVE)
| Raw passthru device access, with exclusive access to the device.

## Detailed Description

The `Cdrom.DeviceAccessType` enumerated type defines the valid device access types for a physical device packing of a virtual CD-ROM device.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  EMULATION | ATAPI or SCSI device emulation.
  PASSTHRU | Raw passthru device access.
  PASSTHRU_EXCLUSIVE | Raw passthru device access, with exclusive access to the device.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::GetEnumValue | ( |  | ) | `[inline]`

static DeviceAccessType [] vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::IsUnknown | ( |  | ) | `[inline]`

static DeviceAccessType vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly DeviceAccessType vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::EMULATION = new DeviceAccessType("EMULATION", Values.EMULATION)`[static]`

ATAPI or SCSI device emulation.

readonly DeviceAccessType vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::PASSTHRU = new DeviceAccessType("PASSTHRU", Values.PASSTHRU)`[static]`

Raw passthru device access.

readonly DeviceAccessType vmware::vcenter::vm::hardware::CdromTypes::DeviceAccessType::PASSTHRU_EXCLUSIVE = new DeviceAccessType("PASSTHRU_EXCLUSIVE", Values.PASSTHRU_EXCLUSIVE)`[static]`

Raw passthru device access, with exclusive access to the device.

The documentation for this class was generated from the following file:

- CdromTypes.cs